Subject: Re: [Rtg-ooam-dt] FW: [sfc] FW: New Version Notification for draft-kumar-sfc-nsh-forwarding-00.txt

From: Gregory Mirsky <[email-masked]>
Date: Thu, 17 Mar 2016 23:56:39 +0000

Hi Carlos,
only now I got to read the SFC OAM Framework draft you've referred us to, my apologies.
This is very detailed document. I have different view on what is in scope of SFC OAM and think that it is on the SFP as described in Section 3.1.2. I do think that SF OAM and Classifier OAM are both outside the scope of SFC OAM and are in part of Service OAM, service that being realized by the particular SFC. Relationship, mapping of an SF to an SFF, as we've discussed, may be verified by using on-demand tool analogous to LSP Ping. But I don't see PM OAM of SF as part of SFC OAM toolset, nor PM OAM of a Classifier.
I realize that my notes are sketchy, again I apologize. I think that we can start with the discussion of the scope of SFC OAM and then follow onto requirements and the gap analysis. Hope all that we can do, with help and support from authors of the draft-ietf-sfc-oam-framework and SFC WG as part of our DT work.

	Regards,
		Greg

-----Original Message-----
From: Carlos Pignataro (cpignata) [mailto:[email-masked]] 
Sent: Wednesday, February 17, 2016 7:36 AM
To: Gregory Mirsky
Cc: [email-masked]
Subject: Re: [Rtg-ooam-dt] FW: [sfc] FW: New Version Notification for draft-kumar-sfc-nsh-forwarding-00.txt

All,

To add perspective, this is an individual draft not discussed in SFC yet. For SFF and SF and NSH more normatively we should first look at the SFC Architecture RFC and the NSH protocol WG draft first. 

In fact, please look at this other WG doc and comment as it is about to expire: https://tools.ietf.org/html/draft-ietf-sfc-oam-framework-00

Thumb typed by Carlos Pignataro.
Excuze typofraphicak errows

> On Feb 16, 2016, at 01:30, Gregory Mirsky <[email-masked]> wrote:
> 
> Dear All,
> this new draft is very much relevant to our discussion of what is and what is not included in SFP.
> 
>    Regards,
>        Greg
> 
> -----Original Message-----
> From: sfc [mailto:[email-masked]] On Behalf Of Surendra Kumar (smkumar)
> Sent: Monday, February 15, 2016 9:51 PM
> To: [email-masked]
> Subject: [sfc] FW: New Version Notification for draft-kumar-sfc-nsh-forwarding-00.txt
> 
> Hello All,
> 
> This is a new draft to separate service forwarding from service delivery function in NSH.
> It contains the service path header updates to SFFs and enables integrity checks on it.
> 
> Thanks,
> Surendra.
> 
> 
> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] 
> Sent: Monday, February 15, 2016 3:25 PM
> To: Dongkee Lee <[email-masked]>; Peter Bosch (pbosch) <[email-masked]>; Rajeev Manur <[email-masked]>; Joel M. Halpern <[email-masked]>; Sumandra Majee <[email-masked]>; Surendra Kumar (smkumar) <[email-masked]>; Surendra Kumar (smkumar) <[email-masked]>; Joel Halpern <[email-masked]>; Kent Leung (kleung) <[email-masked]>
> Subject: New Version Notification for draft-kumar-sfc-nsh-forwarding-00.txt
> 
> 
> A new version of I-D, draft-kumar-sfc-nsh-forwarding-00.txt
> has been successfully submitted by Surendra Kumar and posted to the IETF repository.
> 
> Name:        draft-kumar-sfc-nsh-forwarding
> Revision:    00
> Title:        Infrastructure Service Forwarding For NSH
> Document date:    2016-02-15
> Group:        Individual Submission
> Pages:        17
> URL:            https://www.ietf.org/internet-drafts/draft-kumar-sfc-nsh-forwarding-00.txt
> Status:         https://datatracker.ietf.org/doc/draft-kumar-sfc-nsh-forwarding/
> Htmlized:       https://tools.ietf.org/html/draft-kumar-sfc-nsh-forwarding-00
> 
> 
> Abstract:
>   This draft describes the separation of service forwarding function
>   and service delivery function abstractions, along with the mechanics
>   of NSH encapsulated packet forwarding with such separation, in SFC
>   deployments.
> 
>   This separation frees the service functions from making forwarding
>   decisions and the necessary control plane integration, thereby
>   keeping the service functions simple and focused on service delivery.
>   Further, this separation fully contains the forwarding decisions in
>   forwarding functions, thereby allowing implementations to enforce
>   integrity of the forwarding state carried in NSH which in turn is
>   required for correctly forwarding NSH encapsulated packets.
> 
> 
> 
> 
> Please note that it may take a couple of minutes from the time of submission until the htmlized version and diff are available at tools.ietf.org.
> 
> The IETF Secretariat
> 
> _______________________________________________
> sfc mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/sfc
> 
> _______________________________________________
> Rtg-ooam-dt mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/rtg-ooam-dt